Error Message with dada2

Hello,

I am having a hard to trying to figure out what this error message means on dada2. It says dada 2 return code -9, which I don’t really know what that means. Would appreciate any feed back on why it may not be working!

Thanks,
Max

(qiime2-2017.12) [email protected]:~ qiime dada2 denoise-single --i-demultiplexed-seqs /home/qiime2/Greenhouse_experiment_2017/16S/Ghexpt2017_SE16S_trimmed.qza --p-trunc-len 276 --p-trim-left-f 0 --p-max-ee 4 --verbose --o-table /home/qiime2/Greenhouse_experiment_2017/16S/table_SE.qza --o-representative-sequences /home/qiime2/Greenhouse_experiment_2017/16S/rep-seqs_SE.qza Error: no such option: --p-trim-left-f (qiime2-2017.12) [email protected]:~ qiime dada2 denoise-single --i-demultiplexed-seqs /home/qiime2/Greenhouse_experiment_2017/16S/Ghexpt2017_SE16S_trimmed.qza --p-trunc-len 276 --p-max-ee 4 --verbose --o-table /home/qiime2/Greenhouse_experiment_2017/16S/table_SE.qza --o-representative-sequences /home/qiime2/Greenhouse_experiment_2017/16S/rep-seqs_SE.qza
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_single.R /tmp/qiime2-archive-rxa3lqlm/1609ed3c-d590-4871-992f-67a90a889611/data /tmp/tmppnzx_px3/output.tsv.biom /tmp/tmppnzx_px3 276 0 4.0 2 consensus 1.0 1 1000000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering The filter removed all reads: /tmp/tmppnzx_px3/Gh_expt2017_A211_125_L001_R1_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmppnzx_px3/Gh_expt2017_A577_478_L001_R1_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmppnzx_px3/Gh_expt2017_A578_479_L001_R1_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmppnzx_px3/Gh_expt2017_A580_482_L001_R1_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmppnzx_px3/Gh_expt2017_A581_483_L001_R1_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmppnzx_px3/Gh_expt2017_A583_485_L001_R1_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmppnzx_px3/Gh_expt2017_A584_486_L001_R1_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmppnzx_px3/Gh_expt2017_A586_488_L001_R1_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmppnzx_px3/Gh_expt2017_A588_490_L001_R1_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmppnzx_px3/Gh_expt2017_A608_501_L001_R1_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmppnzx_px3/Gh_expt2017_A609_502_L001_R1_001.fastq.gz not written.
    Some input samples had no reads pass the filter.
    …x…xx…xx.xx.x.x…xx…
  2. Learning Error Rates
    Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2017.12/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 126, in denoise_single
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2017.12/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 35, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2017.12/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_single.R’, ‘/tmp/qiime2-archive-rxa3lqlm/1609ed3c-d590-4871-992f-67a90a889611/data’, ‘/tmp/tmppnzx_px3/output.tsv.biom’, ‘/tmp/tmppnzx_px3’, ‘276’, ‘0’, ‘4.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status -9

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2017.12/lib/python3.5/site-packages/q2cli/commands.py”, line 224, in call
results = action(**arguments)
File “”, line 2, in denoise_single
File “/home/qiime2/miniconda/envs/qiime2-2017.12/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 228, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2017.12/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 363, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2017.12/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 137, in denoise_single
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

See above for debug info.

Thanks for posting your full error message!

The -9 error can be caused by a number of issues, and one of them is memory. How much RAM / memory does your computer or VM have? Are you running on a server, a laptop, or a VM?

Thanks,
Colin

1 Like

Hi Colin,

I am running qiime2 on a virutal machine, the memory is 2048 MB. So it pretty low.

Thanks,
Max

Hello Max,

Yep, I think you will need more memory! Can you increase the memory on the VM as much as possible and try running the script again?

Colin

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.